> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an alert



## OpenAPI

````yaml /openapi/product/alerts.yaml get /api/social/v4/alerts/{alertId}
openapi: 3.0.0
info:
  title: Alerts API
  description: >-
    Domo Alerts allow users to subscribe to various events and receive timely
    notifications as changes occur. Find out more about Alerts by reading this
    article. The Alerts API can be used to manage alerts in your Domo instance.
  version: '4.0'
servers:
  - url: https://{instance}.domo.com
    description: Domo instance
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Your Domo instance name
security:
  - BearerAuth: []
paths:
  /api/social/v4/alerts/{alertId}:
    get:
      tags:
        - Alerts
      summary: Get an alert
      operationId: get-an-alert
      parameters:
        - name: alertId
          in: path
          required: true
          schema:
            type: integer
          description: The id of the alert you want to get
        - name: fields
          in: query
          required: false
          schema:
            type: string
          description: Which alert fields to include in the response
      responses:
        '200':
          description: Returns the alert.
          content:
            application/json:
              schema:
                type: object
              example: >-
                HTTP/1.1 200 OK{  "actions": [],  "active": true,  "category":
                "DATA",  "configurations": [],  "contextual": true, 
                "createdAt": "2024-01-01 00:00:00",  "createdBy": 123456789, 
                "currentUserSubscribed": false,  "enabled": true,  "error": {}, 
                "filterGroups": [],  "id": 123,  "modifiedAt": "2024-01-01
                00:00:00",  "modifiedBy": 123456789,  "name": "My Favorite
                Alert",  "owner": 123456789,  "resourceId":
                "58b3775b-ab03-4f54-9052-a3c5f7cbf426",  "resourceName": "Test
                Dataset",  "resourceType": "DATASET",  "rule": "Any row has
                changes for column(s): 'test'",  "subscriptions": [], 
                "triggerFrequency": "Rarely",  "triggered": false,  "type":
                "ANY_ROW"}
      x-codeSamples:
        - lang: JavaScript
          source: >-
            async function getAlert(alertId) {  const url =
            `/api/social/v4/alerts/${alertId}`;  const response = await
            fetch(url);  return await response.json();}
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````